| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions
account.php File Reference

## Functions
| check_account_email ($email)
| check_account_password ($password)
| check_account_invite ($invite_code)
| check_account_admin ($arr)
| account_total ()
| create_account ($arr)
| verify_email_address ($arr)
| send_reg_approval_email ($arr)
| send_verification_email ($email, $password)
| user_allow ($hash)
| user_deny ($hash)
| user_approve ($hash)
| downgrade_accounts ()
| service_class_allows ($uid, $property, $usage=false)
| service_class_fetch ($uid, $property)
| account_service_class_fetch ($aid, $property)
| upgrade_link ($bbcode=false)
| upgrade_message ($bbcode=false)
| upgrade_bool_message ($bbcode=false)

## Function Documentation

account_service_class_fetch | ( |  | $aid,
|  |  | $property
| ) |  |

Referenced by import_post(), and process_channel_sync_delivery().

account_total | ( |  | ) |

Referenced by create_account(), and zfinger_init().

check_account_admin | ( |  | $arr | ) |

Referenced by create_account().

check_account_email | ( |  | $email | ) |

Referenced by create_account(), and register_init().

check_account_invite | ( |  | $invite_code | ) |

Referenced by create_account(), and register_init().

check_account_password | ( |  | $password | ) |

Referenced by create_account(), and register_init().

create_account | ( |  | $arr | ) |

Referenced by register_post().

downgrade_accounts | ( |  | ) |

downgrade_accounts() Checks for accounts that have past their expiration date. If the account has a service class which is not the site default, the service class is reset to the site default and expiration reset to never. If the account has no service class it is expired and subsequently disabled. called from include/poller.php as a scheduled task.

Reclaiming resources which are no longer within the service class limits is not the job of this function, but this can be implemented by plugin if desired. Default behaviour is to stop allowing additional resources to be consumed.

Referenced by poller_run().

send_reg_approval_email | ( |  | $arr | ) |

Referenced by register_post().

send_verification_email | ( |  | $email,
|  |  | $password
| ) |  |

Referenced by register_post().

service_class_allows | ( |  | $uid,
|  |  | $property,
|  |  | $usage = `false`
| ) |  |

Referenced by identity_check_service_class(), item_check_service_class(), and new_contact().

service_class_fetch | ( |  | $uid,
|  |  | $property
| ) |  |

Referenced by attach_store(), chatroom_create(), chatroom_enter(), RedMatrix\RedDAV\RedDirectory\createFile(), RedMatrix\RedDAV\RedBrowser\generateDirectoryIndex(), RedMatrix\RedDAV\RedDirectory\getQuotaInfo(), manage_content(), photo_upload(), photos_content(), poller_run(), process_channel_sync_delivery(), RedMatrix\RedDAV\RedFile\put(), and widget_follow().

upgrade_bool_message | ( |  | $bbcode = `false` | ) |

upgrade_link | ( |  | $bbcode = `false` | ) |

Referenced by upgrade_bool_message(), and upgrade_message().

upgrade_message | ( |  | $bbcode = `false` | ) |

Referenced by attach_store(), chatroom_create(), identity_check_service_class(), item_check_service_class(), new_contact(), and photo_upload().

user_allow | ( |  | $hash | ) |

Referenced by admin_page_users_post(), and regmod_content().

user_approve | ( |  | $hash | ) |

Referenced by regver_content().

user_deny | ( |  | $hash | ) |

Referenced by admin_page_users_post(), regmod_content(), and regver_content().

verify_email_address | ( |  | $arr | ) |

Referenced by register_post().